<?php

class onScFollowersActivityAfterAdd extends cmsAction {

    public function run($entry) {

        $user_id = $entry['user_id'];
        $user_model = cmsCore::getModel('users');
        $friends = $user_model->getFriends($user_id);

        $subscribers = array();
        foreach ($friends as $friend) {
            $subscribers[] = $friend['id'];
        }
        $user = $user_model->getUser($entry['user_id']);

        $activity_model = cmsCore::getModel('activity');
        $activity_model->filterEqual('id',$entry['id']);
        $entries = $activity_model->getEntries();
        if ($entries){
            $item = array_pop($entries);
        } else {
            return $entry;
        }

        $messenger = cmsCore::getController('messages');
        $messenger->addRecipients($subscribers);

        $friend_reply_link = '';
        $friend_reply_url = '';
        if ($item['reply_link']) {
            $friend_reply_url = href_to_abs($item['reply_url']);
            $friend_reply_link = "<a href='{$friend_reply_url}'>".LANG_REPLY."</a>";
        }

        $friend_url = href_to_abs('users', $entry['user_id']);
        $friend_nickname = $user['nickname'];
        $friend_description = str_replace('<a href="/','<a href="'.cmsConfig::get('host').'/',$item['description']);
        $friend_images = $entry['images'];

        $content = '<a href="'.$friend_url.'">'.$friend_nickname.'</a> '.$friend_description;

        if ($friend_reply_url){
            $actions = array(
                'accept' => array(
                    'title' => 'Ответить',
                    'href'  => $friend_reply_url
                ),
            );
        } else {
            $actions= array();
        }
        $notice = array(
            'content' => $content,
            'options' => array(
                'is_closeable' => true
            ),
            'actions' => $actions
        );

        $messenger->sendNoticePM($notice, 'friends_activity_new');

        $messenger->sendNoticeEmail('friends_activity_new', array(
            'friend_url'        => $friend_url,
            'friend_nickname'      => $friend_nickname,
            'friend_description' => $friend_description,
            'friend_reply_link'         => $friend_reply_link,
            'images'     =>$friend_images
        ));

        return $entry;

    }

}